Debian Bug report logs - #683562
kfreebsd-image-9.0-1-amd64: Package does not install !

version graph

Package: src:kfreebsd-9; Maintainer for src:kfreebsd-9 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: michael chlon <mic.a.elle.chlon@gmail.com>

Date: Wed, 1 Aug 2012 19:45:01 UTC

Severity: grave

Fixed in versions kfreebsd-9/9.0-5, kfreebsd-9/9.0-4

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Wed, 01 Aug 2012 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael chlon <mic.a.elle.chlon@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 01 Aug 2012 19:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: michael chlon <mic.a.elle.chlon@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Wed, 01 Aug 2012 21:43:17 +0200
Package: kfreebsd-image-9.0-1-amd64
Version: 9.0-4
Severity: grave
Justification: renders package unusable

Dear Maintainer,

When I try to install, on testing purose, this package, I have this
issue:

= 8< ===================================================================

Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found:
/boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-3.2.0-2-amd64
Found kernel: /vmlinuz-3.0.0-1-amd64
Found kernel: /vmlinuz-2.6.38-2-amd64
Found kernel: /vmlinuz-2.6.32-trunk-amd64
Found kernel: /vmlinuz-2.6.32-5-amd64
Found kernel: /vmlinuz-2.6.32-3-amd64
Updating /boot/grub/menu.lst ... done

run-parts: executing /etc/kernel/postinst.d/dkms 9.0-1-amd64
/boot/kfreebsd-9.0-1-amd64.gz
Error! Error! Your kernel headers for kernel 9.0-1-amd64 cannot be
found.
Your kernel headers for kernel 9.0-1-amd64 cannot be found.
Please install the linux-headers-9.0-1-amd64 package,
Please install the linux-headers-9.0-1-amd64 package,
or use the --kernelsourcedir option to tell DKMS where it's located
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 9.0-1-amd64 cannot be found.
Please install the linux-headers-9.0-1-amd64 package,
or use the --kernelsourcedir option to tell DKMS where it's located
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 9.0-1-amd64
/boot/kfreebsd-9.0-1-amd64.gz
update-initramfs: Generating /boot/initrd.img-9.0-1-amd64
ERROR: could not get modinfo from 'xhci': No such file or directory
ERROR: could not get modinfo from 'reiserfs': No such file or directory
ERROR: could not get modinfo from 'udf': No such file or directory
ERROR: could not get modinfo from 'xfs': No such file or directory
/var/tmp/mkinitramfs_w0rVs5/scripts/init-top/multipath: ligne5:
/scripts/functions: Aucun fichier ou dossier de ce type
WARNING: could not open
/var/tmp/mkinitramfs_w0rVs5/lib/modules/9.0-1-amd64/modules.order: No
such file or directory
WARNING: could not open
/var/tmp/mkinitramfs_w0rVs5/lib/modules/9.0-1-amd64/modules.builtin: No
such file or directory
run-parts: executing /etc/kernel/postinst.d/pm-utils 9.0-1-amd64
/boot/kfreebsd-9.0-1-amd64.gz
run-parts: executing /etc/kernel/postinst.d/update-notifier 9.0-1-amd64
/boot/kfreebsd-9.0-1-amd64.gz

= 8< ============================================================

It seems to be the kernel's name passed to DKMS.

Thanks for the reply !

Michael Chlon


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (999, 'testing'), (995, 'unstable'), (975, 'stable'), (500, 'stable-updates'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Wed, 01 Aug 2012 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 01 Aug 2012 20:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 683562@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Wed, 01 Aug 2012 21:09:47 +0100
Hi,

It might be useful to know what version of the grub-pc package you have
installed?

> run-parts: executing /etc/kernel/postinst.d/dkms 9.0-1-amd64
> Please install the linux-headers-9.0-1-amd64 package,
                     ^^^^^         ^^^^^^^^^^^

> run-parts: executing /etc/kernel/postinst.d/initramfs-tools 9.0-1-amd64
> update-initramfs: Generating /boot/initrd.img-9.0-1-amd64
                                     ^^^^^^^^^^ ^^^^^^^^^^^

It seems like the existence of a kFreeBSD kernel on a linux-* arch
confuses GRUB's dkms and mkinitramfs postinst hooks.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Fri, 03 Aug 2012 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 03 Aug 2012 13:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 683562@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 683562@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Fri, 3 Aug 2012 15:16:57 +0200
2012/8/1 Steven Chamberlain <steven@pyro.eu.org>:
> It seems like the existence of a kFreeBSD kernel on a linux-* arch
> confuses GRUB's dkms and mkinitramfs postinst hooks.

We could move it off /boot, or we could add Conflicts: dkms
[linux-any], etc.  Any suggestions?

-- 
Robert Millan



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Fri, 03 Aug 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 03 Aug 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 683562@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Fri, 3 Aug 2012 15:41:45 +0100
Hi,

On 15:16, Robert Millan wrote:
> 2012/8/1 Steven Chamberlain <steven@pyro.eu.org>:
> > It seems like the existence of a kFreeBSD kernel on a linux-* arch
> > confuses GRUB's dkms and mkinitramfs postinst hooks.
> 
> We could move it off /boot, or we could add Conflicts: dkms
> [linux-any], etc.  Any suggestions?

What is the purpose of the package on linux-any systems?  It is not a
part of that system's boot process so perhaps doesn't belong in /boot,
but rather somewhere like /usr/share or /usr/lib, like where ROM images
for Qemu and things go.

Someone may be crazy enough to dual-boot linux/kfreebsd out of a shared
/boot partition but that's not supported.  (At least update-grub
would be unable to run dkms/mkinitramfs if run from kfreebsd).


I'm not sure if Conflicts: dkms would be correct, if dkms is simply being
invoked incorrectly by the GRUB postinst hook.  In which case
mkinitramfs might still be broken.  (Haven't tested this theory).

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Mon, 27 Aug 2012 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to michael chlon <m.chlon@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 27 Aug 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 683562@bugs.debian.org (full text, mbox):

From: michael chlon <m.chlon@wanadoo.fr>
To: 683562@bugs.debian.org
Subject: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Mon, 27 Aug 2012 23:03:38 +0200
[Message part 1 (text/plain, inline)]
Hello,


Sorry, I have not received the reply in my email box ...
When you ask:
- "It might be useful to know what version of the grub-pc package you
have installed?"

It is:
grub                                        0.97-47lenny2             
amd64                      GRand Unified Bootloader (Legacy version)
grub-common                                 1.99-22.1                 
amd64                      GRand Unified Bootloader (common files)

I have not installed groub-pc because I have had some bad experiences in
the
past, so ....


Thanks for the reply,
Rgds,

Michael Chlon

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Mon, 27 Aug 2012 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 27 Aug 2012 22:36:05 GMT) Full text and rfc822 format available.

Message #30 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: michael chlon <m.chlon@wanadoo.fr>, 683562@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Mon, 27 Aug 2012 23:33:00 +0100
Hi,

On 27/08/12 22:03, michael chlon wrote:
> grub                                        0.97-47lenny2             
> amd64                      GRand Unified Bootloader (Legacy version)
> grub-common                                 1.99-22.1                 
> amd64                      GRand Unified Bootloader (common files)

Oh, well that is probably why!

It seems that GRUB (legacy) once had some partial support for
GNU/kFreeBSD which was later removed.  Users with a full GNU/kFreeBSD
installation would typically be using GRUB2 as that is a requirement for
booting it.

The existence of a kFreeBSD (kernel) image on the Linux system seemed to
confuse the dkms and mkinitramfs hooks, so we should avoid that.  Maybe
we actually need a Conflicts: grub

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Thu, 30 Aug 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mic.a.elle.chlon@gmail.com:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Thu, 30 Aug 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 683562@bugs.debian.org (full text, mbox):

From: Chlon Michaël <mic.a.elle.chlon@gmail.com>
Cc: 683562@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 19:49:22 +0200
[Message part 1 (text/plain, inline)]
Hi,


I have upgraded to Grub V2, but nothing
has changed !
Should I insert the lines manualy?
DKMS seems lost ...

Any other advice(s) ?

Rgds,
Michaël Chlon



Le 28/08/2012 00:33, Steven Chamberlain a écrit :
> Hi,
>
> On 27/08/12 22:03, michael chlon wrote:
>> grub                                        0.97-47lenny2             
>> amd64                      GRand Unified Bootloader (Legacy version)
>> grub-common                                 1.99-22.1                 
>> amd64                      GRand Unified Bootloader (common files)
> Oh, well that is probably why!
>
> It seems that GRUB (legacy) once had some partial support for
> GNU/kFreeBSD which was later removed.  Users with a full GNU/kFreeBSD
> installation would typically be using GRUB2 as that is a requirement for
> booting it.
>
> The existence of a kFreeBSD (kernel) image on the Linux system seemed to
> confuse the dkms and mkinitramfs hooks, so we should avoid that.  Maybe
> we actually need a Conflicts: grub
>
> Regards,


*Michaël Chlon* |/mic.a.elle.chlon@gmail.com/

My profiles: LinkedIn
<http://Type%20your%20personal%20details%20here.%20Click%20on%20Templates%20for%20a%20quick%20start%21>
Want a signature like mine?
<http://r1.wisestamp.com/r/landing?promo=22&dest=http%3A%2F%2Fwww.wisestamp.com%2Femail-install%3Futm_source%3Dextension%26utm_medium%3Demail%26utm_campaign%3Dpromo_22>
Click here.
<http://r1.wisestamp.com/r/landing?promo=22&dest=http%3A%2F%2Fwww.wisestamp.com%2Femail-install%3Futm_source%3Dextension%26utm_medium%3Demail%26utm_campaign%3Dpromo_22>
 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Thu, 30 Aug 2012 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Thu, 30 Aug 2012 18:27:04 GMT) Full text and rfc822 format available.

Message #40 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: mic.a.elle.chlon@gmail.com, 683562@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 19:23:10 +0100
Hi,

On 30/08/12 18:49, Chlon Michaël wrote:
> I have upgraded to Grub V2, but nothing
> has changed !
> Should I insert the lines manualy?
> DKMS seems lost ...

That's strange.  I can't reproduce the problem on my own Wheezy
GNU/Linux amd64 system.

Please could you list the versions of related packages you have
installed now (by running the command below) :

$ dpkg-query -W grub grub2 grub-common grub-pc dkms initramfs-tools

It would also be helpful if you could perhaps run this to see more
detail about what is going wrong:

# sh -x $(which update-grub)

Thanks!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#683562; Package kfreebsd-image-9.0-1-amd64. (Thu, 30 Aug 2012 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mic.a.elle.chlon@gmail.com:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Thu, 30 Aug 2012 18:33:03 GMT) Full text and rfc822 format available.

Message #45 received at 683562@bugs.debian.org (full text, mbox):

From: Chlon Michaël <mic.a.elle.chlon@gmail.com>
Cc: 683562@bugs.debian.org
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 20:30:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

Here is the output:

1/
$ dpkg-query -W grub grub2 grub-common grub-pc dkms initramfs-tools
dkms    2.2.0.3-1.1
grub    0.97-64
grub-common    1.98+20100804-14+squeeze1
grub-pc    1.98+20100804-14+squeeze1
grub2   
initramfs-tools    0.107

2/
# sh -x $(which update-grub)
+ set -e
+ exec grub-mkconfig -o /boot/grub/grub.cfg
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Generating grub.cfg ...
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found background: /usr/share/images/grub/BonsaiTridentMaple.tga
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found background image: /usr/share/images/grub/BonsaiTridentMaple.tga
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found linux image: /boot/vmlinuz-3.2.0-2-amd64
Found initrd image: /boot/initrd.img-3.2.0-2-amd64
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found linux image: /boot/vmlinuz-3.0.0-1-amd64
Found initrd image: /boot/initrd.img-3.0.0-1-amd64
Found linux image: /boot/vmlinuz-2.6.38-2-amd64
Found initrd image: /boot/initrd.img-2.6.38-2-amd64
Found linux image: /boot/vmlinuz-2.6.32-5-amd64
Found initrd image: /boot/initrd.img-2.6.32-5-amd64
Found linux image: /boot/vmlinuz-2.6.32-3-amd64
Found initrd image: /boot/initrd.img-2.6.32-3-amd64
Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found iPXE image: /boot/ipxe.lkrn
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
done

Hope, it can help ! :)

Cheers,
Michaël Chlon


Le 30/08/2012 20:23, Steven Chamberlain a écrit :
> Hi,
>
> On 30/08/12 18:49, Chlon Michaël wrote:
>> I have upgraded to Grub V2, but nothing
>> has changed !
>> Should I insert the lines manualy?
>> DKMS seems lost ...
> That's strange.  I can't reproduce the problem on my own Wheezy
> GNU/Linux amd64 system.
>
> Please could you list the versions of related packages you have
> installed now (by running the command below) :
>
> $ dpkg-query -W grub grub2 grub-common grub-pc dkms initramfs-tools
>
> It would also be helpful if you could perhaps run this to see more
> detail about what is going wrong:
>
> # sh -x $(which update-grub)
>
> Thanks!
>
> Regards,


[Message part 2 (text/html, inline)]

Bug reassigned from package 'kfreebsd-image-9.0-1-amd64' to 'src:kfreebsd-9'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 18:42:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions kfreebsd-9/9.0-4. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 18:42:06 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-9/9.0-4. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 18:42:06 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 18:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package src:kfreebsd-9. (Thu, 30 Aug 2012 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 30 Aug 2012 19:27:08 GMT) Full text and rfc822 format available.

Message #58 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: mic.a.elle.chlon@gmail.com, 683562@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 20:21:54 +0100
On 30/08/12 19:30, Chlon Michaël wrote:
> # sh -x $(which update-grub)
> + set -e
> + exec grub-mkconfig -o /boot/grub/grub.cfg
> error: superfluous RAID member (2 found).
[...]
> Generating grub.cfg ...
> Found background image: /usr/share/images/grub/BonsaiTridentMaple.tga
> Found linux image: /boot/vmlinuz-3.2.0-2-amd64
> Found initrd image: /boot/initrd.img-3.2.0-2-amd64
> Found linux image: /boot/vmlinuz-3.0.0-1-amd64
> Found initrd image: /boot/initrd.img-3.0.0-1-amd64
> Found linux image: /boot/vmlinuz-2.6.38-2-amd64
> Found initrd image: /boot/initrd.img-2.6.38-2-amd64
> Found linux image: /boot/vmlinuz-2.6.32-5-amd64
> Found initrd image: /boot/initrd.img-2.6.32-5-amd64
> Found linux image: /boot/vmlinuz-2.6.32-3-amd64
> Found initrd image: /boot/initrd.img-2.6.32-3-amd64
> Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
> Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
> error: superfluous RAID member (2 found).
[...]
> done

Hi,

That looks like it was successful, but there is no mention of the
kfreebsd image there, is that because you have uninstalled it?

Does the error still happen when you install kfreebsd-image-9-amd64?
Please could you copy+paste the error in full (in case it is different
now with GRUB2).

Thanks again,

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package src:kfreebsd-9. (Thu, 30 Aug 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mic.a.elle.chlon@gmail.com:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 30 Aug 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #63 received at 683562@bugs.debian.org (full text, mbox):

From: Chlon Michaël <mic.a.elle.chlon@gmail.com>
Cc: 683562@bugs.debian.org
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 21:32:12 +0200
[Message part 1 (text/plain, inline)]
No, The kernel is still install.
So, I have purge the installation, and reinstall it.
Here is the output:

== 8< ===================================================

$ sudo aptitude install kfreebsd-image-9-amd64 kfreebsd-image-9.0-2-amd64
zsh: correct 'aptitude' to '.aptitude' [nyae]? n
Les NOUVEAUX paquets suivants vont être installés :
  kfreebsd-image-9-amd64 kfreebsd-image-9.0-2-amd64
0 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 1 non mis
à jour.
Il est nécessaire de télécharger 14,9 Mo d'archives. Après dépaquetage,
37,1 Mo seront utilisés.
Prendre :  1 ftp://ftp.fr.debian.org/debian/ testing/main
kfreebsd-image-9.0-2-amd64 amd64 9.0-5 [14,9 MB]
Prendre :  2 ftp://ftp.fr.debian.org/debian/ testing/main
kfreebsd-image-9-amd64 amd64 9.0-5 [50,8
kB]                                                                                              

 14,9 Mo téléchargés en 28s (532
ko/s)                                                                                                                                                              

Sélection du paquet kfreebsd-image-9.0-2-amd64 précédemment désélectionné.
(Lecture de la base de données... 903391 fichiers et répertoires déjà
installés.)
Dépaquetage de kfreebsd-image-9.0-2-amd64 (à partir de
.../kfreebsd-image-9.0-2-amd64_9.0-5_amd64.deb) ...
Sélection du paquet kfreebsd-image-9-amd64 précédemment désélectionné.
Dépaquetage de kfreebsd-image-9-amd64 (à partir de
.../kfreebsd-image-9-amd64_9.0-5_amd64.deb) ...
Paramétrage de kfreebsd-image-9.0-2-amd64 (9.0-5) ...
run-parts: executing /etc/kernel/postinst.d/dkms 9.0-2-amd64
/boot/kfreebsd-9.0-2-amd64.gz
Error! Your kernel headers for kernel 9.0-2-amd64 cannot be found.
Please install the linux-headers-9.0-2-amd64 package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 9.0-2-amd64 cannot be found.
Please install the linux-headers-9.0-2-amd64 package,
or use the --kernelsourcedir option to tell DKMS where it's located
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 9.0-2-amd64
/boot/kfreebsd-9.0-2-amd64.gz
update-initramfs: Generating /boot/initrd.img-9.0-2-amd64
WARNING: could not open /lib/modules/9.0-2-amd64/modules.order: No such
file or directory
WARNING: could not open /lib/modules/9.0-2-amd64/modules.builtin: No
such file or directory
ERROR: could not get modinfo from 'xhci': No such file or directory
ERROR: could not get modinfo from 'reiserfs': No such file or directory
ERROR: could not get modinfo from 'udf': No such file or directory
ERROR: could not get modinfo from 'xfs': No such file or directory
/var/tmp/mkinitramfs_rWfe37/scripts/init-top/multipath: ligne5:
/scripts/functions: Aucun fichier ou dossier de ce type
WARNING: could not open
/var/tmp/mkinitramfs_rWfe37/lib/modules/9.0-2-amd64/modules.order: No
such file or directory
WARNING: could not open
/var/tmp/mkinitramfs_rWfe37/lib/modules/9.0-2-amd64/modules.builtin: No
such file or directory
run-parts: executing /etc/kernel/postinst.d/pm-utils 9.0-2-amd64
/boot/kfreebsd-9.0-2-amd64.gz
run-parts: executing /etc/kernel/postinst.d/update-notifier 9.0-2-amd64
/boot/kfreebsd-9.0-2-amd64.gz
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 9.0-2-amd64
/boot/kfreebsd-9.0-2-amd64.gz
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Generating grub.cfg ...
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found background: /usr/share/images/grub/BonsaiTridentMaple.tga
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found background image: /usr/share/images/grub/BonsaiTridentMaple.tga
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found linux image: /boot/vmlinuz-3.2.0-2-amd64
Found initrd image: /boot/initrd.img-3.2.0-2-amd64
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found linux image: /boot/vmlinuz-3.0.0-1-amd64
Found initrd image: /boot/initrd.img-3.0.0-1-amd64
Found linux image: /boot/vmlinuz-2.6.38-2-amd64
Found initrd image: /boot/initrd.img-2.6.38-2-amd64
Found linux image: /boot/vmlinuz-2.6.32-5-amd64
Found initrd image: /boot/initrd.img-2.6.32-5-amd64
Found linux image: /boot/vmlinuz-2.6.32-3-amd64
Found initrd image: /boot/initrd.img-2.6.32-3-amd64
Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found iPXE image: /boot/ipxe.lkrn
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
done
Paramétrage de kfreebsd-image-9-amd64 (9.0-5) ...

== 8< =======================================================

The kfreebsd kernel is not here !  like before ...

Cheers,
Michaël Chlon






Le 30/08/2012 21:21, Steven Chamberlain a écrit :
> On 30/08/12 19:30, Chlon Michaël wrote:
>> # sh -x $(which update-grub)
>> + set -e
>> + exec grub-mkconfig -o /boot/grub/grub.cfg
>> error: superfluous RAID member (2 found).
> [...]
>> Generating grub.cfg ...
>> Found background image: /usr/share/images/grub/BonsaiTridentMaple.tga
>> Found linux image: /boot/vmlinuz-3.2.0-2-amd64
>> Found initrd image: /boot/initrd.img-3.2.0-2-amd64
>> Found linux image: /boot/vmlinuz-3.0.0-1-amd64
>> Found initrd image: /boot/initrd.img-3.0.0-1-amd64
>> Found linux image: /boot/vmlinuz-2.6.38-2-amd64
>> Found initrd image: /boot/initrd.img-2.6.38-2-amd64
>> Found linux image: /boot/vmlinuz-2.6.32-5-amd64
>> Found initrd image: /boot/initrd.img-2.6.32-5-amd64
>> Found linux image: /boot/vmlinuz-2.6.32-3-amd64
>> Found initrd image: /boot/initrd.img-2.6.32-3-amd64
>> Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
>> Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
>> error: superfluous RAID member (2 found).
> [...]
>> done
> Hi,
>
> That looks like it was successful, but there is no mention of the
> kfreebsd image there, is that because you have uninstalled it?
>
> Does the error still happen when you install kfreebsd-image-9-amd64?
> Please could you copy+paste the error in full (in case it is different
> now with GRUB2).
>
> Thanks again,
>
> Regards,


  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package src:kfreebsd-9. (Thu, 30 Aug 2012 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 30 Aug 2012 20:00:03 GMT) Full text and rfc822 format available.

Message #68 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: mic.a.elle.chlon@gmail.com, 683562@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 20:57:43 +0100
On 30/08/12 20:32, Chlon Michaël wrote:
[...]
> Paramétrage de kfreebsd-image-9.0-2-amd64 (9.0-5) ...
> run-parts: executing /etc/kernel/postinst.d/dkms 9.0-2-amd64
> /boot/kfreebsd-9.0-2-amd64.gz
> Error! Your kernel headers for kernel 9.0-2-amd64 cannot be found.
> Please install the linux-headers-9.0-2-amd64 package,
[...]
> Generating grub.cfg ...
[...]
> Found linux image: /boot/vmlinuz-3.2.0-2-amd64
> Found initrd image: /boot/initrd.img-3.2.0-2-amd64
> Found linux image: /boot/vmlinuz-3.0.0-1-amd64
> Found initrd image: /boot/initrd.img-3.0.0-1-amd64
> Found linux image: /boot/vmlinuz-2.6.38-2-amd64
> Found initrd image: /boot/initrd.img-2.6.38-2-amd64
> Found linux image: /boot/vmlinuz-2.6.32-5-amd64
> Found initrd image: /boot/initrd.img-2.6.32-5-amd64
> Found linux image: /boot/vmlinuz-2.6.32-3-amd64
> Found initrd image: /boot/initrd.img-2.6.32-3-amd64
> Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
> Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
> Found iPXE image: /boot/ipxe.lkrn
[...]
> error: superfluous RAID member (2 found).
> done
> Paramétrage de kfreebsd-image-9-amd64 (9.0-5) ...
> 
> == 8< =======================================================
> 
> The kfreebsd kernel is not here !  like before ...

I would say that is successful then?  Even if there are a lot of errors
and warnings, GRUB2 still generated a valid configuration for Linux and
the package install was successful.

If you were expecting a kfreebsd menu entry to be created in GRUB2, that
is not really meant to happen.

You could manually create a menu entry for it, but all it could do is
boot the kernel, and then immediately panic/halt because it needs a
fully installed GNU/kFreeBSD root filesystem to go any further.


The earlier issue affecting GRUB ("v1") is more serious;  we must not
break someone's bootloader if they install the kfreebsd-image package on
GNU/Linux.

Thanks for testing!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package src:kfreebsd-9. (Thu, 30 Aug 2012 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mic.a.elle.chlon@gmail.com:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 30 Aug 2012 21:15:03 GMT) Full text and rfc822 format available.

Message #73 received at 683562@bugs.debian.org (full text, mbox):

From: Chlon Michaël <mic.a.elle.chlon@gmail.com>
Cc: 683562@bugs.debian.org
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 23:13:02 +0200
[Message part 1 (text/plain, inline)]
Questions and answers in the mail !

Le 30/08/2012 21:57, Steven Chamberlain a écrit :
> On 30/08/12 20:32, Chlon Michaël wrote:
> [...]
>> Paramétrage de kfreebsd-image-9.0-2-amd64 (9.0-5) ...
>> run-parts: executing /etc/kernel/postinst.d/dkms 9.0-2-amd64
>> /boot/kfreebsd-9.0-2-amd64.gz
>> Error! Your kernel headers for kernel 9.0-2-amd64 cannot be found.
>> Please install the linux-headers-9.0-2-amd64 package,
> [...]
>> Generating grub.cfg ...
> [...]
>> Found linux image: /boot/vmlinuz-3.2.0-2-amd64
>> Found initrd image: /boot/initrd.img-3.2.0-2-amd64
>> Found linux image: /boot/vmlinuz-3.0.0-1-amd64
>> Found initrd image: /boot/initrd.img-3.0.0-1-amd64
>> Found linux image: /boot/vmlinuz-2.6.38-2-amd64
>> Found initrd image: /boot/initrd.img-2.6.38-2-amd64
>> Found linux image: /boot/vmlinuz-2.6.32-5-amd64
>> Found initrd image: /boot/initrd.img-2.6.32-5-amd64
>> Found linux image: /boot/vmlinuz-2.6.32-3-amd64
>> Found initrd image: /boot/initrd.img-2.6.32-3-amd64
>> Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
>> Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
>> Found iPXE image: /boot/ipxe.lkrn
> [...]
>> error: superfluous RAID member (2 found).
>> done
>> Paramétrage de kfreebsd-image-9-amd64 (9.0-5) ...
>>
>> == 8< =======================================================
>>
>> The kfreebsd kernel is not here !  like before ...
> I would say that is successful then?  Even if there are a lot of errors
> and warnings, GRUB2 still generated a valid configuration for Linux and
> the package install was successful.
>
> If you were expecting a kfreebsd menu entry to be created in GRUB2, that
> is not really meant to happen.
Yes !
>
> You could manually create a menu entry for it, but all it could do is
> boot the kernel, and then immediately panic/halt because it needs a
> fully installed GNU/kFreeBSD root filesystem to go any further.
Why is there a package, if we can't use it with a debian installation ?

>
> The earlier issue affecting GRUB ("v1") is more serious;  we must not
> break someone's bootloader if they install the kfreebsd-image package on
> GNU/Linux.
>
> Thanks for testing!
>
> Regards,


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package src:kfreebsd-9. (Thu, 30 Aug 2012 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 30 Aug 2012 21:39:03 GMT) Full text and rfc822 format available.

Message #78 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: mic.a.elle.chlon@gmail.com, 683562@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 22:35:21 +0100
On 30/08/12 22:13, Chlon Michaël wrote:
>> You could manually create a menu entry for it, but all it could do is
>> boot the kernel, and then immediately panic/halt because it needs a
>> fully installed GNU/kFreeBSD root filesystem to go any further.
> 
> Why is there a package, if we can't use it with a debian installation ?

It is a vital part of a Debian GNU/kFreeBSD installation (the
kfreebsd-amd64 / kfreebsd-i386 architectures) but you would normally
install the whole thing, separately.

On a Debian GNU/Linux installation, I'm not really sure of the package's
purpose.  Hopefully someone else could explain?  The only thing I can
think of is that someone might want to use it with Qemu, or a
para-virtualised Xen guest domain perhaps?

Also it is a convenient side-effect that if the GNU/Linux buildds build
the kFreeBSD kernel as well, that might reveal some problem in the code
or toolchain that wasn't noticeable when the kfreebsd-* buildds built it.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package src:kfreebsd-9. (Thu, 30 Aug 2012 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mic.a.elle.chlon@gmail.com:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 30 Aug 2012 21:45:05 GMT) Full text and rfc822 format available.

Message #83 received at 683562@bugs.debian.org (full text, mbox):

From: Chlon Michaël <mic.a.elle.chlon@gmail.com>
Cc: 683562@bugs.debian.org
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 23:40:25 +0200
[Message part 1 (text/plain, inline)]
OK !

Understood ! :))
You can close the ticket.

Thanks for all.
Rgds,

Michaël Chlon



Le 30/08/2012 23:35, Steven Chamberlain a écrit :
> On 30/08/12 22:13, Chlon Michaël wrote:
>>> You could manually create a menu entry for it, but all it could do is
>>> boot the kernel, and then immediately panic/halt because it needs a
>>> fully installed GNU/kFreeBSD root filesystem to go any further.
>> Why is there a package, if we can't use it with a debian installation ?
> It is a vital part of a Debian GNU/kFreeBSD installation (the
> kfreebsd-amd64 / kfreebsd-i386 architectures) but you would normally
> install the whole thing, separately.
>
> On a Debian GNU/Linux installation, I'm not really sure of the package's
> purpose.  Hopefully someone else could explain?  The only thing I can
> think of is that someone might want to use it with Qemu, or a
> para-virtualised Xen guest domain perhaps?
>
> Also it is a convenient side-effect that if the GNU/Linux buildds build
> the kFreeBSD kernel as well, that might reveal some problem in the code
> or toolchain that wasn't noticeable when the kfreebsd-* buildds built it.
>
> Regards,


*Michaël Chlon* |/mic.a.elle.chlon@gmail.com/

My profiles: LinkedIn
<http://Type%20your%20personal%20details%20here.%20Click%20on%20Templates%20for%20a%20quick%20start%21>
Want a signature like mine?
<http://r1.wisestamp.com/r/landing?promo=22&dest=http%3A%2F%2Fwww.wisestamp.com%2Femail-install%3Futm_source%3Dextension%26utm_medium%3Demail%26utm_campaign%3Dpromo_22>
Click here.
<http://r1.wisestamp.com/r/landing?promo=22&dest=http%3A%2F%2Fwww.wisestamp.com%2Femail-install%3Futm_source%3Dextension%26utm_medium%3Demail%26utm_campaign%3Dpromo_22>
 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#683562; Package src:kfreebsd-9. (Thu, 30 Aug 2012 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 30 Aug 2012 22:45:03 GMT) Full text and rfc822 format available.

Message #88 received at 683562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: mic.a.elle.chlon@gmail.com, 683562@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#683562: kfreebsd-image-9.0-1-amd64: Package does not install !
Date: Thu, 30 Aug 2012 23:40:32 +0100
tags 683562 - unreproducible
close 683562 9.0-4
done

Thank you anyway for your testing;  closing this bug as you requested.

I'm still concerned that it temporarily broke GRUB when you tried to
install it, but since you were using a very old version of it
(0.97-47lenny2) and that is not in the Debian archive any more (replaced
by grub-legacy in Squeeze, or grub2), I don't /think/ we need to take
any action.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Removed tag(s) unreproducible. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 22:45:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-9/9.0-4. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 22:45:05 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 22:45:05 GMT) Full text and rfc822 format available.

Notification sent to michael chlon <mic.a.elle.chlon@gmail.com>:
Bug acknowledged by developer. (Thu, 30 Aug 2012 22:45:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions kfreebsd-9/9.0-4. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 01 Sep 2012 18:57:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-9/9.0-5. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 01 Sep 2012 18:57:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Oct 2012 07:27:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:06:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.